<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: magnetometer.FluxgateMagnetometer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classmagnetometer_1_1_fluxgate_magnetometer.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classmagnetometer_1_1_fluxgate_magnetometer-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">magnetometer.FluxgateMagnetometer Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for magnetometer.FluxgateMagnetometer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmagnetometer_1_1_fluxgate_magnetometer.png" usemap="#magnetometer.FluxgateMagnetometer_map" alt=""/>
  <map id="magnetometer.FluxgateMagnetometer_map" name="magnetometer.FluxgateMagnetometer_map">
<area href="class_sensor_1_1_sensor.html" alt="Sensor.Sensor" shape="rect" coords="0,56,222,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abf0e1c0d1071ca811f4bb7c2cc030ccc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#abf0e1c0d1071ca811f4bb7c2cc030ccc">__init__</a> (self, str <a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a>, np.ndarray <a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a>, str <a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a>, int <a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a>, int <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a87532cb1f705bff0001fc7f05f612e0a">resolution</a>, float <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a8816649f3f484a772b94c8c3bd76d0d4">sensor_range</a>, float <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a9121e7308115a21deb8c25e7b6356619">analog_range</a>, float <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#acbc98b0c4725023565361d9fd9d98731">noise_density</a>, float <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7d3dd58b2fa5135811d76e23cd34a266">bandwidth</a>, float <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a42ec34a475a759ac4e9d428ebd297b8f">sampling_rate</a>, tuple <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7e22bd7b42fdf27f216dd9c746c6d371">temp_drift</a>, float max_zero_error=0., float max_scaling_error=0., float max_orthogonality_error=0., bool <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#aa360590d28bd84aec1ea3b7190449232">use_max_errors</a>=False, bool <a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a>=True, bool <a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a>=False, int <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ab33aa34f933b944b983003dac3764cff">dimension</a>=3)</td></tr>
<tr class="separator:abf0e1c0d1071ca811f4bb7c2cc030ccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acccff361e22670ce6ff86d8bbedb7f7c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#acccff361e22670ce6ff86d8bbedb7f7c">set_error</a> (self, float max_error, int <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ab33aa34f933b944b983003dac3764cff">dimension</a>)</td></tr>
<tr class="separator:acccff361e22670ce6ff86d8bbedb7f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97deccca6a3b7898fb3bb9af5d26ae2a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a97deccca6a3b7898fb3bb9af5d26ae2a">set_error_matrix</a> (self, float max_error, int <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ab33aa34f933b944b983003dac3764cff">dimension</a>=3)</td></tr>
<tr class="separator:a97deccca6a3b7898fb3bb9af5d26ae2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a876d50ce9ac6d4a135f8d127363954d9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a876d50ce9ac6d4a135f8d127363954d9">get_noise</a> (self)</td></tr>
<tr class="separator:a876d50ce9ac6d4a135f8d127363954d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a255ab448a84261a667617eca8a873ca8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a255ab448a84261a667617eca8a873ca8">output</a> (self, float sim_time, float temperature=293.15)</td></tr>
<tr class="separator:a255ab448a84261a667617eca8a873ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c9bf2e3992303108f064fecd7f847e9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7c9bf2e3992303108f064fecd7f847e9">run</a> (self)</td></tr>
<tr class="separator:a7c9bf2e3992303108f064fecd7f847e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a0d0414d420e2d284be4e0b17d5aaf6a6">check_parameter_update</a> (self)</td></tr>
<tr class="separator:a0d0414d420e2d284be4e0b17d5aaf6a6 inherit pub_methods_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a87532cb1f705bff0001fc7f05f612e0a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a87532cb1f705bff0001fc7f05f612e0a">resolution</a></td></tr>
<tr class="separator:a87532cb1f705bff0001fc7f05f612e0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8816649f3f484a772b94c8c3bd76d0d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a8816649f3f484a772b94c8c3bd76d0d4">sensor_range</a></td></tr>
<tr class="separator:a8816649f3f484a772b94c8c3bd76d0d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9121e7308115a21deb8c25e7b6356619"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a9121e7308115a21deb8c25e7b6356619">analog_range</a></td></tr>
<tr class="separator:a9121e7308115a21deb8c25e7b6356619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc98b0c4725023565361d9fd9d98731"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#acbc98b0c4725023565361d9fd9d98731">noise_density</a></td></tr>
<tr class="separator:acbc98b0c4725023565361d9fd9d98731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d3dd58b2fa5135811d76e23cd34a266"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7d3dd58b2fa5135811d76e23cd34a266">bandwidth</a></td></tr>
<tr class="separator:a7d3dd58b2fa5135811d76e23cd34a266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42ec34a475a759ac4e9d428ebd297b8f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a42ec34a475a759ac4e9d428ebd297b8f">sampling_rate</a></td></tr>
<tr class="separator:a42ec34a475a759ac4e9d428ebd297b8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e22bd7b42fdf27f216dd9c746c6d371"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a7e22bd7b42fdf27f216dd9c746c6d371">temp_drift</a></td></tr>
<tr class="separator:a7e22bd7b42fdf27f216dd9c746c6d371"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa360590d28bd84aec1ea3b7190449232"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#aa360590d28bd84aec1ea3b7190449232">use_max_errors</a></td></tr>
<tr class="separator:aa360590d28bd84aec1ea3b7190449232"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8730c087a028ef2eb0a69d5ca0bd4ee2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a8730c087a028ef2eb0a69d5ca0bd4ee2">zero_error</a></td></tr>
<tr class="separator:a8730c087a028ef2eb0a69d5ca0bd4ee2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a102688db0c58b138fd27e49882dcb712"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a102688db0c58b138fd27e49882dcb712">scaling_error</a></td></tr>
<tr class="separator:a102688db0c58b138fd27e49882dcb712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae255fdbe6c3eb9ffc24b1fe534ba29b4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ae255fdbe6c3eb9ffc24b1fe534ba29b4">orthogonality_error</a></td></tr>
<tr class="separator:ae255fdbe6c3eb9ffc24b1fe534ba29b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab33aa34f933b944b983003dac3764cff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ab33aa34f933b944b983003dac3764cff">dimension</a></td></tr>
<tr class="separator:ab33aa34f933b944b983003dac3764cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a247fe850f7cf58fdb17447f7ec1066f4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a247fe850f7cf58fdb17447f7ec1066f4">column_names</a></td></tr>
<tr class="separator:a247fe850f7cf58fdb17447f7ec1066f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_sensor_1_1_sensor"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_sensor_1_1_sensor')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_sensor_1_1_sensor.html">Sensor.Sensor</a></td></tr>
<tr class="memitem:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a105952a867f87ce62e9527155ac5e117">name</a></td></tr>
<tr class="separator:a105952a867f87ce62e9527155ac5e117 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ab9edb79bdcd32ba3e64b4108302a8731">position</a></td></tr>
<tr class="separator:ab9edb79bdcd32ba3e64b4108302a8731 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">orientation</a></td></tr>
<tr class="separator:a50d7fc1b38b659f1b9078a1b66a125e5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#aacd282df196192e299b27275784c5640">database</a></td></tr>
<tr class="separator:aacd282df196192e299b27275784c5640 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#ae7f85b223f3ba2d6b26024c99f749dce">active</a></td></tr>
<tr class="separator:ae7f85b223f3ba2d6b26024c99f749dce inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a9459e5f38bf10a463cdb377d31c796e0">digital</a></td></tr>
<tr class="separator:a9459e5f38bf10a463cdb377d31c796e0 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#adc1ef67bc79c2569b579eacad4222022">mode</a></td></tr>
<tr class="separator:adc1ef67bc79c2569b579eacad4222022 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a7709b892a731f2d22d89c7bb8d7bcedf">parameter_count</a></td></tr>
<tr class="separator:a7709b892a731f2d22d89c7bb8d7bcedf inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">outputs</a></td></tr>
<tr class="separator:a080bdfc3b220f4273e3b4a9d45c413b5 inherit pub_attribs_class_sensor_1_1_sensor"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="abf0e1c0d1071ca811f4bb7c2cc030ccc" name="abf0e1c0d1071ca811f4bb7c2cc030ccc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf0e1c0d1071ca811f4bb7c2cc030ccc">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magnetometer.FluxgateMagnetometer.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">np.ndarray&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>mode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>outputs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>resolution</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sensor_range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>analog_range</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>noise_density</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>bandwidth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sampling_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">tuple&#160;</td>
          <td class="paramname"><em>temp_drift</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &#160;</td>
          <td class="paramname"><em>max_zero_error</em> = <code>0.</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &#160;</td>
          <td class="paramname"><em>max_scaling_error</em> = <code>0.</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &#160;</td>
          <td class="paramname"><em>max_orthogonality_error</em> = <code>0.</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>use_max_errors</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>active</em> = <code>True</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &#160;</td>
          <td class="paramname"><em>digital</em> = <code>False</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &#160;</td>
          <td class="paramname"><em>dimension</em> = <code>3</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor for the class magnetometer:

:param name: (str) a unique name for each sensor
:param position: (numpy array, 3x1 x y z) position of the sensor in the satellite frame in m
:param orientation: (numpy array, 1x4 qi qj qk qr) orientation of the sensor in quaternions in the
                                                                                            satellite frame
:param database: (string, .db) name of the database to read/write from/in
:param mode: (int) chooses between a different set of predefined parameter for the sensor
:param resolution: (int) the resolution in bit if the sensor is digital
:param sensor_range: (float) maximum detectable field strength in nT
:param analog_range: (float) maximum output voltage of the sensor in V
:param noise_density: (float) spectral noise density in pTrms/sqrt(Hz)
:param bandwidth: (float) the magnetometers bandwidth in kHz
:param sampling_rate: (float) sampling rate of the sensor in Hz
:param temp_drift: (tuple) A list that contains the temperature drift in nT/K as indicated in the datasheet
                    and the temperature at which the drift is zero in K
:param max_zero_error: (float) the zero error in nT as indicated in the sensor's datasheet
:param max_scaling_error: (float) the scaling error in % as indicated in the sensor's datasheet
:param max_orthogonality_error: (float) the orthogonal error in degrees as indicated in the sensor's datasheet
:param use_max_errors: (bool) if True, sensor is initialized with the maximum errors, if False errors are
                    set randomly within a range that is defined by max values
:param active: (bool) activates or deactivates the sensor
:param digital: (bool) defines if the sensor is digital or analog
</pre> 
<p>Reimplemented from <a class="el" href="class_sensor_1_1_sensor.html#a49b7ea4faa0488707970f4ecc64ab10b">Sensor.Sensor</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a876d50ce9ac6d4a135f8d127363954d9" name="a876d50ce9ac6d4a135f8d127363954d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a876d50ce9ac6d4a135f8d127363954d9">&#9670;&nbsp;</a></span>get_noise()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magnetometer.FluxgateMagnetometer.get_noise </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Returns a normally distributed random noise where standard deviation is calculated with sensor's
noise density and bandwidth.

:return: 3x1 array with normally distributed noise according to sensor's noise density and bandwidth
</pre> 
</div>
</div>
<a id="a255ab448a84261a667617eca8a873ca8" name="a255ab448a84261a667617eca8a873ca8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a255ab448a84261a667617eca8a873ca8">&#9670;&nbsp;</a></span>output()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magnetometer.FluxgateMagnetometer.output </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sim_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &#160;</td>
          <td class="paramname"><em>temperature</em> = <code>293.15</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Gets the local magnetic field, converts it to the body frame and applies errors and noise according to
respective datasheets (if data is available, if not assumptions have to be made) and returns the magnetic field
as seen from the sensor.

:param sim_time: (float) current simulation time an output of the magnetometer is required
:param temperature: (float) the current temperature of the sensor
:return: a noisy magnetic field as seen by the sensor in nT
</pre> 
</div>
</div>
<a id="a7c9bf2e3992303108f064fecd7f847e9" name="a7c9bf2e3992303108f064fecd7f847e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c9bf2e3992303108f064fecd7f847e9">&#9670;&nbsp;</a></span>run()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magnetometer.FluxgateMagnetometer.run </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Starts the sensor.

Uses a while loop to simulate the sensor, so it has to be started in a separated thread.
Basic procedure: read in local magnetic field of earth -&gt; call get_mag_field function and write output into
an instance owned table
</pre> 
</div>
</div>
<a id="acccff361e22670ce6ff86d8bbedb7f7c" name="acccff361e22670ce6ff86d8bbedb7f7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acccff361e22670ce6ff86d8bbedb7f7c">&#9670;&nbsp;</a></span>set_error()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magnetometer.FluxgateMagnetometer.set_error </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max_error</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>dimension</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Set an error (dimension x 1) array with random values reaching from -max_error to +max_error.

:param max_error: (float) the symmetrical maximum error that determines an error range
:param dimension: (int) dimension of the output array that contains individual error values for each dimension
:return: (dimension x 1 np.array) an error array that contains individual error values for each dimension
</pre> 
</div>
</div>
<a id="a97deccca6a3b7898fb3bb9af5d26ae2a" name="a97deccca6a3b7898fb3bb9af5d26ae2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97deccca6a3b7898fb3bb9af5d26ae2a">&#9670;&nbsp;</a></span>set_error_matrix()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def magnetometer.FluxgateMagnetometer.set_error_matrix </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max_error</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &#160;</td>
          <td class="paramname"><em>dimension</em> = <code>3</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Set an orthogonality error matrix with a maximum error that determines the error range. Setting max_error to 0
would result in returning the identity matrix

:param max_error: (float) the symmetrical maximum error that determines an error range
:param dimension: (int) dimension of the symmetrical output matrix
:return: (dimensions x dimensions np.array) an error matrix with individual error values for each entry of the matrix
</pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a9121e7308115a21deb8c25e7b6356619" name="a9121e7308115a21deb8c25e7b6356619"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9121e7308115a21deb8c25e7b6356619">&#9670;&nbsp;</a></span>analog_range</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.analog_range</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7d3dd58b2fa5135811d76e23cd34a266" name="a7d3dd58b2fa5135811d76e23cd34a266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d3dd58b2fa5135811d76e23cd34a266">&#9670;&nbsp;</a></span>bandwidth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.bandwidth</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a247fe850f7cf58fdb17447f7ec1066f4" name="a247fe850f7cf58fdb17447f7ec1066f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a247fe850f7cf58fdb17447f7ec1066f4">&#9670;&nbsp;</a></span>column_names</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.column_names</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab33aa34f933b944b983003dac3764cff" name="ab33aa34f933b944b983003dac3764cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab33aa34f933b944b983003dac3764cff">&#9670;&nbsp;</a></span>dimension</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.dimension</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acbc98b0c4725023565361d9fd9d98731" name="acbc98b0c4725023565361d9fd9d98731"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbc98b0c4725023565361d9fd9d98731">&#9670;&nbsp;</a></span>noise_density</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.noise_density</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae255fdbe6c3eb9ffc24b1fe534ba29b4" name="ae255fdbe6c3eb9ffc24b1fe534ba29b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae255fdbe6c3eb9ffc24b1fe534ba29b4">&#9670;&nbsp;</a></span>orthogonality_error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.orthogonality_error</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87532cb1f705bff0001fc7f05f612e0a" name="a87532cb1f705bff0001fc7f05f612e0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87532cb1f705bff0001fc7f05f612e0a">&#9670;&nbsp;</a></span>resolution</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.resolution</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42ec34a475a759ac4e9d428ebd297b8f" name="a42ec34a475a759ac4e9d428ebd297b8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42ec34a475a759ac4e9d428ebd297b8f">&#9670;&nbsp;</a></span>sampling_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.sampling_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a102688db0c58b138fd27e49882dcb712" name="a102688db0c58b138fd27e49882dcb712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a102688db0c58b138fd27e49882dcb712">&#9670;&nbsp;</a></span>scaling_error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.scaling_error</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8816649f3f484a772b94c8c3bd76d0d4" name="a8816649f3f484a772b94c8c3bd76d0d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8816649f3f484a772b94c8c3bd76d0d4">&#9670;&nbsp;</a></span>sensor_range</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.sensor_range</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e22bd7b42fdf27f216dd9c746c6d371" name="a7e22bd7b42fdf27f216dd9c746c6d371"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e22bd7b42fdf27f216dd9c746c6d371">&#9670;&nbsp;</a></span>temp_drift</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.temp_drift</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa360590d28bd84aec1ea3b7190449232" name="aa360590d28bd84aec1ea3b7190449232"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa360590d28bd84aec1ea3b7190449232">&#9670;&nbsp;</a></span>use_max_errors</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.use_max_errors</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8730c087a028ef2eb0a69d5ca0bd4ee2" name="a8730c087a028ef2eb0a69d5ca0bd4ee2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8730c087a028ef2eb0a69d5ca0bd4ee2">&#9670;&nbsp;</a></span>zero_error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">magnetometer.FluxgateMagnetometer.zero_error</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="magnetometer_8py.html">magnetometer.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemagnetometer.html">magnetometer</a></li><li class="navelem"><a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html">FluxgateMagnetometer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
